import { PageViewport, PDFDocumentProxy } from 'pdfjs-dist';
import { Annotation, AnnotationEventPayload, Destination } from './types';
export declare const annotationsEvents: (event: Event) => (() => void) | undefined;
export declare const handleClick: (event: Event, annotation: Annotation[], pdf: PDFDocumentProxy, callback: (res: Destination) => void) => void;
export declare function bindLayerEvents(annotatedLayer: HTMLDivElement, handler: (event: Event) => void): void;
export declare function unbindLayerEvents(annotatedLayer: HTMLDivElement, handler: (event: Event) => void): void;
export declare function handleAnnotationLink(annotation: Annotation): void;
export declare function handleAnnotationWidget(annotation: Annotation, viewport: PageViewport, canvasMap: Map<string, HTMLCanvasElement>): void;
export declare function annotationEventsHandler(evt: Event, PDFDoc: PDFDocumentProxy, Annotations: Object[]): Promise<AnnotationEventPayload | undefined>;
